# vue-loading-status

This is a vue loading

![loading icon](https://raw.githubusercontent.com/lijianhuiGit/vue-loading-status/master/src/loading-status.png)

## Usage
```javascript

npm install vue-loading-status --save

import loadingStatus from 'vue-loading-status'
import 'font-awesome'     // notice

loadingStatus.config.loadingText = 'loading'
loadingStatus.config.successText = 'success'
loadingStatus.config.emptyText = 'empty'
loadingStatus.config.errorText = 'error'

Vue.use(loadingStatus)

```

```html
<template>
    <ul v-if="productList.length">
        <li v-for="item in productList">item product</li>
    </ul>
    <loading-status v-else :status="productListStatus"></loading-status>

    <!-- other option
    <loading-status 
        v-else
        :status="productListStatus"
        :height="200"
        :global="true"
        >
    </loading-status>
    -->

</template>
```
```javascript
<script>
export default {
    data () {
        return {
            productList: [],
            productListStatus: null
        }
    },
    created () {
        this.productListStatus = [true, 'loading...']
        axios.get('/get-product-list')
            .then(res => {
                if (res.data) {
                    this.productList = res.data
                    this.productListStatus = [1, 'success']
                }
                else {
                    this.productListStatus = [0, 'empty']
                }
            })
            .catch(err => {
                this.productListStatus = [-1, 'error']
            })
    }
}
</script>
```
